#  
# spec file for package nagios-plugins-gwfl
#  
# This file and all modifications and additions to the pristine  
# package are under the same license as the package itself.  
#  
  
# norootforbuild  

Name:           nagios-plugins-gwfl
Summary:        SNMP checks to monitor a lot of HP ProLiant systems
Version:        2.1
Release:        2.1
License:        GPL v2 only
Group:          System/Monitoring
%if 0%{?suse_version} > 1020
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif
BuildRequires:  net-snmp-devel
BuildRequires:  gcc-c++ 
%if 0%{?suse_version}
BuildRequires:  tcpd-devel
%endif
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?rhel}
%if 0%{?centos_version} < 800 || 0%{?rhel} < 8
BuildRequires:  tcp_wrappers-devel
%endif
%endif
Source:         gwfl-nagios-plugins-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define         libexecdir %_prefix/lib/nagios/plugins 

%description
The GWFL Nagios Plugins introduced more advanced monitoring, with
better data consolidation, meaning less performance and administration
overhead. Also, the structure of the plugins meant anyone with a
little C knowledge could easily write more plugins using the SNMPGET
function included in the GWFL plugins, and using a similar coding
format to the plugins provided.

SNMP GETNEXT functionality is included, so that number of
CPUs/PSUs/Drives need not be specified, the plugins will determine
this themselves.


%prep
%setup -q -n gwfl-nagios-plugins-%version

%build
make %{?jobs:-j%jobs}
make apache

%install
make install DESTDIR=%buildroot/%libexecdir/
pushd apache
make install DESTDIR=%buildroot/%libexecdir/
popd

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%doc ChangeLog README LICENSE
# avoid build dependecy of nagios - own the dirs  
%dir %_prefix/lib/nagios  
%dir %libexecdir 
%libexecdir/*

%changelog
* Sat Jul 26 2008 ciriarte@personal.net.py
- fixed tcpd-devel dependency
* Tue Jul 22 2008 lars@linux-schulserver.de
- initial version 2.1
